Bug 200193 - Hide/Show Details icons don't work correctly
Hide/Show Details icons don't work correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-25 23:03 EDT by Xiaohong Wang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.3-7.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 07:04:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test.ods (12.43 KB, application/octet-stream)
2006-07-25 23:03 EDT, Xiaohong Wang
no flags Details
screenshot (11.83 KB, image/png)
2006-07-25 23:05 EDT, Xiaohong Wang
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 67781 None None None Never

  None (edit)
Description Xiaohong Wang 2006-07-25 23:03:28 EDT
Description of problem:


Version-Release number of selected component (if applicable):
openoffice.org-2.0.3-7.5

How reproducible:
always

Steps to Reproduce:
1. Create a new Spreadsheet by selecting File -> New -> Spreadsheet
2. Add some data in spreadsheet and group them by selecting Data -> Outline -> Group
3. Hide Details by clicking '1' on left panel in spreadsheet
4. Save the doc and exit (pls check attached doc test.ods)
5. Open it again
  
Actual results:
Hide/Show Details icons don't work correctly, for there're no data to Hide, '-'
is displayed.  ('+' means user can click it to Show Details, while '-' means
user can click it to Hide Details.) 


Expected results:


Additional info:
Comment 1 Xiaohong Wang 2006-07-25 23:03:28 EDT
Created attachment 133037 [details]
test.ods
Comment 2 Xiaohong Wang 2006-07-25 23:05:27 EDT
Created attachment 133038 [details]
screenshot
Comment 3 Caolan McNamara 2006-07-28 04:54:44 EDT
Reproducable
Comment 4 Caolan McNamara 2006-07-28 10:30:38 EDT
cooked up a patch for this, checked in

Note You need to log in before you can comment on or make changes to this bug.